#define ERR(ret,msg) \
  do { fputs(PROGN ": " msg "\n", stderr); return (ret); } while (0)

#define ERRFMT(ret,fmt,...) \
  do { fprintf(stderr, PROGN ": " fmt "\n", __VA_ARGS__); return (ret); } while (0)

#define PERROR(ret) \
  do { perror(PROGN); return (ret); } while (0)

#define ERRMSG(msg) \
  fputs(msg "\n", stderr)

#define DB_ERROR 100
#define IRC_ERROR 101
#define CREDS_ERROR 102
